src/Entity/Content.php
<?php

namespace App\Entity;

use App\Repository\ContentRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=ContentRepository::class)
 */
class Content
{

    const LANG = [
        'FR' => 'Français',
        'EN' => 'Anglais',
        'ES' => 'Espagnol'
    ];

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=2)
     */
    private $lang;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $post_id;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    private $mission_id;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $page_title;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $page_description;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $title;

    /**
     * @ORM\Column(type="string", length=1024, nullable=true)
     */
    private $short_content;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $content;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $published;

    /**
     * @ORM\Column(type="datetime")
     */
    private $created_at;

    /**
     * @ORM\Column(type="datetime")
     */
    private $last_updated_at;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $deleted_at;

    public function __construct()
    {
        $this->setPublished(false);
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLang(): ?string
    {
        return $this->lang;
    }

    public function setLang(string $lang): self
    {
        $this->lang = $lang;

        return $this;
    }

    public function getPostId(): ?string
    {
        return $this->post_id;
    }

    public function setPostId(string $post_id): self
    {
        $this->post_id = $post_id;

        return $this;
    }

    public function getMissionId(): ?string
    {
        return $this->mission_id;
    }

    public function setMissionId(string $mission_id): self
    {
        $this->mission_id = $mission_id;

        return $this;
    }

    public function getPageTitle(): ?string
    {
        return $this->page_title;
    }

    public function setPageTitle(string $page_title): self
    {
        $this->page_title = $page_title;

        return $this;
    }

    public function getPageDescription(): ?string
    {
        return $this->page_description;
    }

    public function setPageDescription(string $page_description): self
    {
        $this->page_description = $page_description;

        return $this;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getShortContent(): ?string
    {
        return $this->short_content;
    }

    public function setShortContent(string $short_content): self
    {
        $this->short_content = $short_content;

        return $this;
    }

    public function getContent(): ?string
    {
        return $this->content;
    }

    public function setContent(string $content): self
    {
        $this->content = $content;

        return $this;
    }

    public function getPublished(): ?bool
    {
        return $this->published;
    }

    public function setPublished(bool $published): self
    {
        $this->published = $published;

        return $this;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->created_at;
    }

    public function setCreatedAt(\DateTimeInterface $created_at): self
    {
        $this->created_at = $created_at;

        return $this;
    }

    public function getLastUpdatedAt(): ?\DateTimeInterface
    {
        return $this->last_updated_at;
    }

    public function setLastUpdatedAt(\DateTimeInterface $last_updated_at): self
    {
        $this->last_updated_at = $last_updated_at;

        return $this;
    }

    public function getDeletedAt(): ?\DateTimeInterface
    {
        return $this->deleted_at;
    }

    public function setDeletedAt(\DateTimeInterface $deleted_at): self
    {
        $this->deleted_at = $deleted_at;

        return $this;
    }
}

src/Entity/Mission.php
<?php

namespace App\Entity;

use App\Repository\MissionRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=MissionRepository::class)
 */
class Mission
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="integer")
     */
    private $author;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $country;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $image;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $link;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $begin_date;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $end_date;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_newsletter;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_post;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_mission;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_map;

    /**
     * @ORM\Column(type="datetime")
     */
    private $created_at;

    /**
     * @ORM\Column(type="datetime")
     */
    private $last_updated_at;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $deleted_at;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getAuthor(): ?int
    {
        return $this->author;
    }

    public function setAuthor(int $author): self
    {
        $this->author = $author;

        return $this;
    }

    public function getCountry(): ?string
    {
        return $this->country;
    }

    public function setCountry(string $country): self
    {
        $this->country = $country;

        return $this;
    }

    public function getLink(): ?string
    {
        return $this->link;
    }

    public function setLink(string $link): self
    {
        $this->link = $link;

        return $this;
    }

    public function getImage(): ?string
    {
        return $this->image;
    }

    public function setImage(string $image): self
    {
        $this->image = $image;

        return $this;
    }

    public function getPageDisplayNewsletter(): ?bool
    {
        return $this->page_display_newsletter;
    }

    public function setPageDisplayNewsletter(bool $page_display_newsletter): self
    {
        $this->page_display_newsletter = $page_display_newsletter;

        return $this;
    }

    public function getPageDisplayPost(): ?bool
    {
        return $this->page_display_post;
    }

    public function setPageDisplayPost(bool $page_display_post): self
    {
        $this->page_display_post = $page_display_post;

        return $this;
    }

    public function getPageDisplayMission(): ?bool
    {
        return $this->page_display_mission;
    }

    public function setPageDisplayMission(bool $page_display_mission): self
    {
        $this->page_display_mission = $page_display_mission;

        return $this;
    }

    public function getPageDisplayMap(): ?bool
    {
        return $this->page_display_map;
    }

    public function setPageDisplayMap(bool $page_display_map): self
    {
        $this->page_display_map = $page_display_map;

        return $this;
    }

    public function getBeginDate()
    {
        return $this->begin_date;
    }

    public function setBeginDate(\DateTimeInterface $begin_date): self
    {
        $this->begin_date = $begin_date;

        return $this;
    }

    public function getEndDate()
    {
        return $this->end_date;
    }

    public function setEndDate(\DateTimeInterface $end_date): self
    {
        $this->end_date = $end_date;

        return $this;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->created_at;
    }

    public function setCreatedAt(\DateTimeInterface $created_at): self
    {
        $this->created_at = $created_at;

        return $this;
    }

    public function getLastUpdatedAt(): ?\DateTimeInterface
    {
        return $this->last_updated_at;
    }

    public function setLastUpdatedAt(\DateTimeInterface $last_updated_at): self
    {
        $this->last_updated_at = $last_updated_at;

        return $this;
    }

    public function getDeletedAt(): ?\DateTimeInterface
    {
        return $this->deleted_at;
    }

    public function setDeletedAt(\DateTimeInterface $deleted_at): self
    {
        $this->deleted_at = $deleted_at;

        return $this;
    }
}

src/Entity/Post.php
<?php

namespace App\Entity;

use App\Repository\PostRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=PostRepository::class)
 */
class Post
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="integer")
     */
    private $author;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $image;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_newsletter;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_post;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_mission;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $page_display_map;

    /**
     * @ORM\Column(type="datetime")
     */
    private $created_at;

    /**
     * @ORM\Column(type="datetime")
     */
    private $last_updated_at;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $deleted_at;


    public function getId(): ?int
    {
        return $this->id;
    }

    public function getAuthor(): ?int
    {
        return $this->author;
    }

    public function setAuthor(int $author): self
    {
        $this->author = $author;

        return $this;
    }

    public function getImage(): ?string
    {
        return $this->image;
    }

    public function setImage(string $image): self
    {
        $this->image = $image;

        return $this;
    }

    public function getPageDisplayNewsletter(): ?bool
    {
        return $this->page_display_newsletter;
    }

    public function setPageDisplayNewsletter(bool $page_display_newsletter): self
    {
        $this->page_display_newsletter = $page_display_newsletter;

        return $this;
    }

    public function getPageDisplayPost(): ?bool
    {
        return $this->page_display_post;
    }

    public function setPageDisplayPost(bool $page_display_post): self
    {
        $this->page_display_post = $page_display_post;

        return $this;
    }

    public function getPageDisplayMission(): ?bool
    {
        return $this->page_display_mission;
    }

    public function setPageDisplayMission(bool $page_display_mission): self
    {
        $this->page_display_mission = $page_display_mission;

        return $this;
    }

    public function getPageDisplayMap(): ?bool
    {
        return $this->page_display_map;
    }

    public function setPageDisplayMap(bool $page_display_map): self
    {
        $this->page_display_map = $page_display_map;

        return $this;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->created_at;
    }

    public function setCreatedAt(\DateTimeInterface $created_at): self
    {
        $this->created_at = $created_at;

        return $this;
    }

    public function getLastUpdatedAt(): ?\DateTimeInterface
    {
        return $this->last_updated_at;
    }

    public function setLastUpdatedAt(\DateTimeInterface $last_updated_at): self
    {
        $this->last_updated_at = $last_updated_at;

        return $this;
    }

    public function getDeletedAt(): ?\DateTimeInterface
    {
        return $this->deleted_at;
    }

    public function setDeletedAt(\DateTimeInterface $deleted_at): self
    {
        $this->deleted_at = $deleted_at;

        return $this;
    }
}

src/Entity/User.php
<?php

namespace App\Entity;

use App\Repository\UserRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Security\Core\User\UserInterface;

/**
 * @ORM\Entity(repositoryClass=UserRepository::class)
 * @ORM\Table(name="`user`")
 * @UniqueEntity(fields={"email"}, message="There is already an account with this email")
 */
class User implements UserInterface
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $username;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $first_name;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $last_name;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $email;

    /**
     * @var string The hashed password
     * @ORM\Column(type="string")
     */
    private $password;

    /**
     * @ORM\Column(type="json")
     */
    private $roles;

    /**
     * @ORM\Column(type="datetime")
     */
    private $created_at;

    /**
     * @ORM\Column(type="datetime")
     */
    private $last_updated_at;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function setUsername(string $username): self
    {
        $this->username = $username;

        return $this;
    }

    public function getUsername(): ?string
    {
        return $this->username;
    }

    public function getFirstName(): ?string
    {
        return $this->first_name;
    }

    public function setFirstName(string $first_name): self
    {
        $this->first_name = $first_name;

        return $this;
    }

    public function getLastName(): ?string
    {
        return $this->last_name;
    }

    public function setLastName(string $last_name): self
    {
        $this->last_name = $last_name;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getPassword(): ?string
    {
        return $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    public function getRoles(): array
    {
        return $this->roles;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->created_at;
    }

    public function setCreatedAt(\DateTimeInterface $created_at): self
    {
        $this->created_at = $created_at;

        return $this;
    }

    public function getLastUpdatedAt(): ?\DateTimeInterface
    {
        return $this->last_updated_at;
    }

    public function setLastUpdatedAt(\DateTimeInterface $last_updated_at): self
    {
        $this->last_updated_at = $last_updated_at;

        return $this;
    }

    public function getSalt(): void
    {
    }

    public function eraseCredentials(): void
    {
    }
}

templates/pages/article.html.twig
{% extends 'base.html.twig' %}

{# SEO #}
{% block title %}{{ post.content.pageTitle }}{% endblock %}
{% block description %}{{ post.content.pageDescription }}{% endblock %}
{% block image %}/uploads/img_article/{{ post.image }}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% block body %}

	<div class="page-article">

		<article>
			<div class="img">
				<img src="/images/placeholder.png" data-src="/uploads/img_article/{{ post.image }}" alt="{{ post.content.title }}">
			</div>
			<div>
				<div class="infos">
					<p>{{'post.author_label'|trans}}  {{ author.firstName }}</p>
					<p>{{ post.createdAt | date('d/m/Y - H:i') }}</p>
				</div>
				<h1>{{ post.content.title }}</h1>
				<div class="richtext">
					{{ post.content.content | raw }}
				</div>
			</div>
		</article>

		{{ include('./blocks/news.twig', {
			'section': posts
		}) }}

		{{ include('./blocks/newsletter.twig') }}

	</div>

{% endblock %}


{% block jsonLd %}

	<script type="application/ld+json">
		{
			"@context": "https://schema.org/",
			"@type": "Article",
			"name": "{{ post.content.title }}",
			"headline": "{{ post.content.title }}",
			"image": "{{ base_url }}/uploads/img_article/{{ post.image }}",
			"description": "{{ post.content.shortContent }}",
			"author": "Harkay",
			"dateCreated": "{{ post.createdAt | date('Y/m/d') }}",
			"dateModified": "{{ post.lastUpdatedAt | date('Y/m/d') }}",
			"datePublished": "{{ post.createdAt | date('Y/m/d') }}",
			"mainEntityOfPage": "{{ url('posts') }}",
			"publisher": {
				"@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
			},
			"inLanguage": "{{ lang }}",
			"articleBody": "{{ post.content.content | striptags | replace({'"':'\"', "\n": "", "\r": "", "\t": ""}) }}"
		}
	</script>

	<script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{'posts.title'|trans}}",
					"item": "{{ url('posts') }}"
				},
				{
					"@type": "ListItem",
					"position": 3,
					"name": "{{ post.content.title }}"
				}
			]
		}
	</script>

{% endblock %}

templates/pages/error.html.twig
{% extends 'base.html.twig' %}

{% block body %}
	<section class="section-map">
		<div class="wrapper">
			<h2 style="padding: 15% 0% 5% 0%;">{{'error.title'|trans}}</h2>
		</div>
		<div class="container">
			<center>
				<h3 style="padding: 5% 0% 15% 0%; font-size: 2em;">{{'error.not_found'|trans}}</h3>
			</center>
		</div>
	</section>
{% endblock %}

templates/pages/mission.html.twig
{% extends 'base.html.twig' %}

{# SEO #}
{% block title %}{{ mission.content.pageTitle }}{% endblock %}
{% block description %}{{ mission.content.pageDescription }}{% endblock %}
{% block image %}/uploads/img_article/{{ mission.image }}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% set base_url = app.request.getSchemeAndHttpHost() %}

{% block body %}

	<div class="page-mission">

		<div class="list-images">
			<div class="img">
				<img src="/images/placeholder.png" data-src="/uploads/img_article/{{ mission.image }}" alt="{{ mission.content.title }}">
			</div>
		</div>

		<section class="wrapper content">
			<ul class="breadcrumb">
				<li><a href="/{{ lang }}/missions">{{ 'missions.title'|trans }}</a></li>
				<li>{{ mission.content.title }}</li>
			</ul>
			<div class="richtext">
				<div class="infos">
					<p><span>{{'mission.country_label'|trans}}</span>  : {{ mission.country }}</p>
					<p><span>{{'mission.period_label'|trans}}</span> : {{ mission.beginDate | date('d/m/Y') }} - {{ mission.endDate | date('d/m/Y') }}</p>
				</div>
				<h1>{{ mission.content.title }}</h1>
				{{ mission.content.content | raw }}
			</div>
		</section>

		{% if mission.video is defined %}
			<section class="section-video wrapper">
				<div class="video-player" data-plyr-provider="youtube" data-plyr-embed-id="{{ mission.video }}"></div>
			</section>
		{% endif %}

		{% if missions is defined and missions|length > 0 %}
			{{ include('./blocks/slider-missions.twig', {
				'missions': missions
			}) }}
		{% endif %}

	</div>

	{{ include('./blocks/newsletter.twig') }}

{% endblock %}

{% block jsonLd %}

	<script type="application/ld+json">
		{
			"@context": "https://schema.org/",
			"@type": "Article",
			"name": "{{ mission.content.title }}",
			"headline": "{{ mission.content.title }}",
			"image": "{{ base_url }}/uploads/img_article/{{ mission.image }}",
			"description": "{{ mission.content.shortContent }}",
			"author": "Harkay",
			"dateCreated": "{{ mission.createdAt | date('Y/m/d') }}",
			"dateModified": "{{ mission.lastUpdatedAt | date('Y/m/d') }}",
			"datePublished": "{{ mission.createdAt | date('Y/m/d') }}",
			"mainEntityOfPage": "{{ url('missions') }}",
			"publisher": {
				"@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
			},
			"inLanguage": "{{ lang }}",
			"articleBody": "{{ mission.content.content | striptags | replace({'"':'\"', "\n": "", "\r": "", "\t": ""}) }}"
		}
	</script>

	<script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{ 'missions.title_our_missions'|trans }}",
					"item": "{{ url('missions') }}"
				},
				{
					"@type": "ListItem",
					"position": 3,
					"name": "{{ mission.content.title }}"
				}
			]
		}
	</script>

{% endblock %}

templates/pages/missions.html.twig
{% extends 'base.html.twig' %}

{% block title %}Harkay - Association qui lutte contre le traffic d'êtres humains {#todo changer le titre #}{% endblock %}
{% block description %}Nous luttons pour protéger les population autochtones du traffic d'êtres humains {#todo changer la description #}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% block body %}

    {# include('blocks/search.twig') #}

    <section class="section-articles">
        <div class="wrapper">
        <br><br><br><br>
            <h2>{{ 'missions.title'|trans }}</h2>
            <div class="articles">
                {% for mission in missions.items %}
                    <div>
                        <a href="{{ url('mission', {'id': mission.id}) }}">
                            <div class="img">
                                <img src="/images/placeholder.png" data-src="/uploads/img_article/{{ mission.image }}" alt="lorem">
                            </div>
                            <div class="content">
                                <h3>{{ mission.content.title }}</h3>
                                <p class="date">{{ mission.beginDate | date('d/m/Y') }}
                                    - {{ mission.endDate | date('d/m/Y') }}</p>
                                <p>{{ mission.content.shortContent }}</p>
                                <button class="btn blue"><span></span></button>
                            </div>
                        </a>
                    </div>
                {% endfor %}
            </div>

            {{ knp_pagination_render(missions) }}

        </div>
    </section>

{% endblock %}

{% block jsonLd %}

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{ 'missions.title_our_missions'|trans }}"
				}
			]
		}
	</script>

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "CollectionPage",
            "name": "{{ 'missions.title_our_missions'|trans }}",
            "headline": "{{ 'missions.title_our_missions'|trans }}",
            "about": {
                "@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
            },
            "mainEntity": {
            "@type": "ItemList",
                "itemListElement": [
                    {% for mission in missions.items %}
                        {
                            "@type": "BlogPosting",
                            "name": "{{ mission.content.title }}",
                            "headline": "{{ mission.content.title }}",
                            "description": "{{ mission.content.shortContent }}",
                            "url": "{{ url('mission', {'id': mission.id}) }}",
                            "dateCreated": "{{ mission.createdAt | date('Y-m-d') }}",
                            "dateModified": "{{ mission.lastUpdatedAt | date('Y-m-d') }}",
                            "datePublished": "{{ mission.createdAt | date('Y-m-d') }}",
                            "author": "Harkay",
                            "publisher": {
                                "@type": "Organization",
                                "name": "Harkay",
                                "url": "{{ base_url }}",
                                "logo": "{{ base_url }}/images/logo_harkay.png"
                            },
                            "mainEntityOfPage": "{{ base_url }}",
                            "image": "{{ base_url }}/uploads/img_article/{{ mission.image }}"
                        }{% if loop.last == false %},{% endif %}
                    {% endfor %}
                ]
            }
		}
	</script>

{% endblock %}